@if (isWizard) {
  <h3>{{ stepTitle }}</h3>
}
<form [formGroup]="searchForm" class="mt-2">
  <div class="d-flex align-items-center">
    <mat-form-field class="mr-4 templates-search">
      <mat-label>Search for templates</mat-label>
      <mat-icon matPrefix>search</mat-icon>
      <input matInput type="text" formControlName="inputText" />
      @if (searchForm.get("inputText")?.value) {
        <button
          matSuffix
          mat-icon-button
          aria-label="Clear"
          (click)="searchForm.get('inputText')?.setValue('')"
        >
          <mat-icon>close</mat-icon>
        </button>
      }
    </mat-form-field>

    <div
      class="d-flex align-items-center justify-content-between template-filters"
    >
      <mat-form-field
        appearance="outline"
        class="slabs-select-filter template-select-filter"
      >
        <mat-label>Author</mat-label>
        <mat-select formControlName="author">
          @for (author of _authors; track author) {
            <mat-option [value]="author.id">{{ author.name }}</mat-option>
          }
        </mat-select>
      </mat-form-field>

      <mat-form-field
        appearance="outline"
        class="slabs-select-filter template-select-filter"
      >
        <mat-label>Policy</mat-label>
        <mat-select formControlName="policy">
          @for (policy of _policies; track policy) {
            <mat-option [value]="policy.id">{{ policy.name }}</mat-option>
          }
        </mat-select>
      </mat-form-field>

      <mat-form-field
        appearance="outline"
        class="slabs-select-filter template-select-filter"
      >
        <mat-label>Sector</mat-label>
        <mat-select formControlName="sector">
          @for (sector of _sectors; track sector) {
            <mat-option [value]="sector.id">{{ sector.name }}</mat-option>
          }
        </mat-select>
      </mat-form-field>

      <mat-form-field
        appearance="outline"
        class="slabs-select-filter template-select-filter"
      >
        <mat-label>Last Update</mat-label>
        <mat-select formControlName="lastUpdate">
          @for (lastUpdate of _lastUpdates; track lastUpdate) {
            <mat-option [value]="lastUpdate.id">
              {{ lastUpdate.name }}
            </mat-option>
          }
        </mat-select>
      </mat-form-field>
    </div>
  </div>
</form>

<h3>Basic Templates</h3>

<mat-grid-list cols="3" gutterSize="20px" rowHeight="50px">
  @for (
    template of _basicTemplates.concat(_allTemplates);
    track template;
    let idx = $index
  ) {
    @if (idx === _basicTemplates.length) {
      <mat-grid-tile class="all-templates-tile" rowspan="1" colspan="3">
        <h3>All Templates</h3>
      </mat-grid-tile>
    }

    <mat-grid-tile rowspan="6" colspan="1">
      <mat-card
        (click)="selectTemplate(template)"
        (keydown)="selectTemplate(template)"
        [ngClass]="{
          'cursor-pointer': isWizard,
          'card-selected':
            !!selectedTemplate && selectedTemplate.id === template.id
        }"
        class="template-card border-grey-300 bg-grey-50"
      >
        <img
          mat-card-image
          height="100"
          alt="Data Space template diagram"
          [src]="'assets/images' + template.imageUrl"
        />
        <button
          class="preview-btn"
          mat-icon-button
          color="primary"
          (click)="previewTemplate(template)"
          aria-label="Icon button with a zoom out map icon"
        >
          <mat-icon color="primary">zoom_out_map</mat-icon>
        </button>

        <br />

        <mat-card-title class="mx-16px">
          {{ template.title }}
        </mat-card-title>

        <br />

        <mat-chip class="slabs-chip"> Simpl </mat-chip>
        <br />
        <mat-card-content class="template-description">
          {{ template.description }}
        </mat-card-content>
      </mat-card>
    </mat-grid-tile>
  }
</mat-grid-list>
